using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using iTextSharp.text;
using iTextSharp.text.pdf;
using Font = iTextSharp.text.Font;

namespace TextWrapping_v16
{
    /// <summary>
    /// Summary description for SectionReport1.
    /// </summary>
    public partial class SectionReport1 : GrapeCity.ActiveReports.SectionReport
    {

        public SectionReport1()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
            this.ReportStart += SectionReport1_ReportStart;
        }

        private void SectionReport1_ReportStart(object sender, EventArgs e)
        {
            GrapeCity.ActiveReports.Data.JsonDataSource jsonDS = new GrapeCity.ActiveReports.Data.JsonDataSource();
            jsonDS.ConnectionString = @"jsondoc=https://demodata.mescius.io/northwind/odata/v1/Employees";
            jsonDS.JsonPath = "$.value[*]";
            this.DataSource = jsonDS;
            textBox5.DataField = "Notes";
        }

        private void detail_Format(object sender, EventArgs e)
        {
            textBox5.Font = new System.Drawing.Font("Arial", 12, System.Drawing.FontStyle.Bold);
            textBox5.WrapMode = GrapeCity.ActiveReports.Document.Section.WrapMode.WordWrap;
        }
    }
}